Skip to main content
POST
/
work_assignment
/
{work_assignment}
/
terminate
Terminate a work assignment
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effective_date": "2026-06-01"
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate"

payload = { "effective_date": "2026-06-01" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_date: '2026-06-01'})
};

fetch('https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "work_assignment",
  "data": {
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "employee": {
      "id": "<id>",
      "object": "employee",
      "links": {
        "self": "/employees/<id>"
      }
    },
    "pay_schedule": {
      "id": "<id>",
      "object": "pay_schedule",
      "links": {
        "self": "/pay_schedules/<id>"
      }
    },
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "current_tax_jurisdiction": "ca_on",
    "is_primary": true,
    "accrued_vacation_pay": 0,
    "paid_vacation_pay": 0,
    "first_non_draft_period_start": null,
    "last_non_draft_period_end": null,
    "available_tax_properties": [
      "ca::province_of_employment",
      "ca::province_of_work",
      "ca::federal_oc_surtax_exempt",
      "ca::cpp_exempt",
      "ca::ei_exempt",
      "ca::qc::qpp_exempt",
      "ca::qc::qpip_exempt",
      "ca::nt::territorial_payroll_tax",
      "ca::nu::territorial_payroll_tax",
      "ca::federal::additional_tax",
      "ca::federal::claim_amount",
      "ca::federal::total_income_less_than_total_claim_amount",
      "ca::federal::annual_deduction_at_source",
      "ca::statutory_holiday_pay",
      "ca::first_nation_exemptions",
      "ca::ab::workers_compensation_class",
      "ca::bc::workers_compensation_class",
      "ca::mb::workers_compensation_class",
      "ca::nb::workers_compensation_class",
      "ca::nl::workers_compensation_class",
      "ca::ns::workers_compensation_class",
      "ca::nt::workers_compensation_class",
      "ca::nu::workers_compensation_class",
      "ca::on::workers_compensation_class",
      "ca::pe::workers_compensation_class",
      "ca::qc::workers_compensation_class",
      "ca::sk::workers_compensation_class",
      "ca::yt::workers_compensation_class",
      "ca::on::claim_amount",
      "ca::on::dependent_children_credit",
      "ca::on::impaired_dependants_credit"
    ],
    "external_ref": null,
    "archived_at": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/work_assignments/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

work_assignment
string
required

Body

application/json
effective_date
string<date>
required

The date for all recurring items to be ended, e.g. Pay Rates, Earnings, Allowances, Benefits, Reimbursements, Deductions.

archived_at
string<date>

The date to archive the work assignment. If not provided, the work assignment will remain active.

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("work_assignment").

data
Work Assignment · object